<?php

namespace RonPortal\Vyroba;

use Ron\DB\Database;
use Ron\MVC\HttpController;
use Ron\MVC\InternalRedirect;
use Ron\MVC\OutputObject;
use Ron\MVC\Redirect;
use Ron\MVC\ViewObject;
use Ron\TextManager;

class PuvodniVyrobaController extends HttpController
{
    /* @var $database Database */
    private $database;


    /**
     * @param Database $database
     */
    public function __construct(Database $database)
    {
        $this->database = $database;
    }


    public function handleAction($action)
    {
        TextManager::getInstance() ->loadStrings('vyroba.ini');

        $b = new PuvodniVyrobaOsoby($this ->database);
        $b ->load();

        return $b;
    }
}

return new PuvodniVyrobaController($this ->database);