<?php
/** Pavel Rudol RON Software 04.12.2023 */

namespace RonPortal\Dashboard;

use Ron\DateUtils;
use Ron\TextManager;
use RonPortal\RonPortalSettings;

if (RonPortalSettings::getIntValue(RonPortalSettings::ZOBRAZIT_DOKUMENTY)
    && (isset($GLOBALS['disdokumentydash']) || (DateUtils::dateStringToTimestamp($GLOBALS['appDate']) > mktime(0,0,0,4,1,2024))) //TODO: odstranit v dubnu 2024
    ) {
    $frame = new DashboardFrame();
    $frame->id = 'podrizeniDisDok';
    $frame->url = '?menuid=dokumenty&action=disdokumentypodrizenych';
    $frame->caption = TextManager::_('Distribuovane_dokumenty_podrizenych');

    return $frame;
}

return null;
