<?php
/**
 * stanislav.elbl, 18.03.2020
 * Nastaveni zobrazeni zpracovane dochazky
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_editace_xml',
    'category' => 'nastaveni_sekce_dochazka',
    'name'  => 'editacexml',
    'index' => 211,
    'storage' => 'sys_bvar_global',
    'strings' => 'preferences_dochazka.ini',

    'items' =>
        [
            [
                //'name'  => 'prehledzpracovane',        'type'  => Preference::MEMO,    'title' => 'data_prehledu_zpracovane', 'htmlParams' => 'class="longtext"',
                'name'  => 'RonPortal_Nastaveni_zpracovane',    'type'  => Preference::MEMO,    'title' => 'data_nastaveni_zpracovane', 'htmlParams' => 'class="longtext"',
                'infoText' => 'data_nastaveni_zpracovane_info',
                'oldPrefName' => 'nastavenizpracovana'  // pro nacteni stare hodnoty ulozene v 'nastaveni'
            ],
            [   // puvodne se ukladalo v nastaveni, polozka 'nastavenizpracovana' => smazat, pokud existuje
                'name'  => 'nastavenizpracovana',   'type'  => Preference::DELETE,   'storage' => 'nastaveni'
            ],
        ]
];
