<?php
/**
 * stanislav.elbl, 16.02.2017
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_prehled_zpracovane',
    'category' => 'nastaveni_sekce_dochazka',
    'name'  => 'prehledzpracovane',
    'index' => 220,
    //'storage' => 'nastaveni',           // sys_bvar_global
    'storage' => 'sys_bvar_global',
    'strings' => 'preferences_dochazka.ini',

    'items' =>
        [
            [
                //'name'  => 'prehledzpracovane',        'type'  => Preference::MEMO,    'title' => 'data_prehledu_zpracovane', 'htmlParams' => 'class="longtext"',
                'name'  => 'RonPortal_Prehled_zpracovane',        'type'  => Preference::MEMO,    'title' => 'data_prehledu_zpracovane', 'htmlParams' => 'class="longtext"',
                'infoText' => 'data_prehledu_zpracovane_info',
                'oldPrefName' => 'prehledzpracovane'  // pro nacteni stare hodnoty ulozene v 'nastaveni'
            ],
            [   // puvodne se ukladalo v nastaveni, polozka 'prehledzpracovane' => smazat, pokud existuje
                'name'  => 'prehledzpracovane',        'type'  => Preference::DELETE,   'storage' => 'nastaveni'
            ],
        ]
];
