<?php
/**
 * stanislav.elbl, 06.04.2016
 */

namespace RonPortal\Settings;

use Ron\Controls\Preference;

return [
    'caption' => 'nastaveni_uzivatelske_css',
    'category' => 'nastaveni_sekce_ostatni',
    'name'  => 'usercss',
    'index' => 950,
    //'storage' => 'sys_bvar_global',
    'storage' => 'nastaveniSpolecne',
    'items' =>
        [
            [
                'name'  => 'css_pouzit_barvy',      'type'  => Preference::CHECKBOX,    'title' => 'css_pouzit_barvy',
                'defaultValue' => 0
            ],
            // hlavicka
            [
                'name'  => 'css_header_background', 'type'  => Preference::COLOR,       'title' => 'css_barva_pozadi_hlavicky',
                'defaultValue' => '',               'indicatorClass' => 'header-background'
            ],
            [
                'name'  => 'css_header_color',      'type'  => Preference::COLOR,       'title' => 'css_barva_textu_hlavicky',
                'defaultValue' => ''
            ],
            [
                'name'  => 'css_header_height',     'type'  => Preference::TEXT,        'title' => 'css_vyska_hlavicky',
                'defaultValue' => ''
            ],
            // nadpisy
            [
                'name'  => 'css_text_header_color', 'type'  => Preference::COLOR,       'title' => 'css_barva_nadpisu',
                'defaultValue' => ''
            ],
            // tlacitka
            [
                'name'  => 'css_button_background', 'type'  => Preference::COLOR,       'title' => 'css_barva_tlacitka',
                'defaultValue' => '',               'indicatorClass' => 'button-color'
            ],
            [
                'name'  => 'css_button_color',      'type'  => Preference::COLOR,       'title' => 'css_barva_textu_tlacitka',
                'defaultValue' => ''
            ],
            // hlavicky tabulek
            [
                'name'  => 'css_table_header_background', 'type'  => Preference::COLOR, 'title' => 'css_barva_zahlavi_seznamu',
                'defaultValue' => '',               'indicatorClass' => 'background-table-header'
            ],
            [
                'name'  => 'css_table_header_color',    'type'  => Preference::COLOR,   'title' => 'css_barva_textu_zahlavi_seznamu',
                'defaultValue' => ''
            ],


            [
                'type' => Preference::CATEGORY, 'title' => 'css_podrobne'
            ],
            // obecne css
            [
                'name'  => 'RonPortal_CSS',     'type'  => Preference::MEMO,    'title' => '',  'htmlParams' => 'class="longtext"',
                'storage' => 'sys_bvar_global', 'noTitle' => true
            ],
        ]
];