<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  24.9.2015
 */
namespace Ron\RonPortal\Zamestnanci;

use Ron\StringUtils;

/* @var $zamestnanec Zamestnanec */

/* @var $zvolenyPP PracovniPomerOsoby */
$zvolenyPP = \Ron\MVC\Model::getInstance()->getData('vybranypp');
//var_dump($zvolenyPP->seznamRozdeleni);
?>


<table id="detailosoby_rozdeleni">
    <?php 
        if (is_array($zvolenyPP->seznamRozdeleni)) {
            foreach ($zvolenyPP->seznamRozdeleni as $typrozdeleni => $seznamRozdeleni) { ?>
            <tr id="detailosoby_ppomer_typrozdeleni_<?= $typrozdeleni ?>">
                <td class="detailosoby_typrozdeleni" colspan="5">
                    <?= StringUtils::htmlTextConvert($seznamRozdeleni[0]->typRozdeleniPopis) ?>
                </td>        
            </tr> 
            <tr class="detailosoby_nadpisrozdeleni">
                <th>
                    <?= \Ron\ronText('Kod') ?>
                </th>
                <th>
                    <?= \Ron\ronText('Popis') ?>
                </th>
                <th>
                    <?= \Ron\ronText('PlatnostOd') ?>
                </th>
                <th>
                    <?= \Ron\ronText('PlatnostDo') ?>
                </th>
                <th></th>
                <th></th>
            </tr>
            <?php /* @var $rozdeleniOsoby RozdeleniOsoby */
                foreach ($seznamRozdeleni as $rozdeleniOsoby) { ?>
                <tr id="detailosoby_ppomer_typrozdeleni_<?= $typrozdeleni ?>_data">
                    <td id="detailosoby_ppomer_typrozdeleni_<?= $rozdeleniOsoby->kodRozdeleni ?>_kod">
                        <?= StringUtils::htmlTextConvert($rozdeleniOsoby->kodRozdeleni) ?>
                    </td>
                    <td id="detailosoby_ppomer_typrozdeleni_<?= $rozdeleniOsoby->kodRozdeleni ?>_popis">
                        <?= StringUtils::htmlTextConvert($rozdeleniOsoby->kodRozdeleniPopis) ?>
                    </td>
                    <td id="detailosoby_ppomer_typrozdeleni_<?= $rozdeleniOsoby->kodRozdeleni ?>_platnostod" class="detailosoby_rozdeleni_platnostod">
                        <?= date('j.n.Y',$rozdeleniOsoby->platnostOd) ?>
                    </td>
                    <td id="detailosoby_ppomer_typrozdeleni_<?= $rozdeleniOsoby->kodRozdeleni ?>_platnostdo" class="detailosoby_rozdeleni_platnostod">
                        <?= $rozdeleniOsoby->platnostDo ? date('j.n.Y',$rozdeleniOsoby->platnostDo) : '' ?>
                    </td>
                    <td>
                        <a href="?<?= $defaultQueryString ?>&action=editrozdeleni&typrozdeleni=<?= $typrozdeleni ?>&rozdeleni=<?= $rozdeleniOsoby->kodRozdeleni ?>&platnostod=<?= $rozdeleniOsoby->platnostOd ?>" 
                           title="<?= \Ron\ronText('Edit') ?>"><img src="images/16_edit.png" alt="<?= \Ron\ronText('Edit') ?>" /></a>
                    </td>
                    <td>
                        <span class="js" title="<?= \Ron\ronText('Smazat') ?>" onclick="ChangeLocationQuest(event, '<?= \Ron\ronText('SmazatRozdeleni') ?>', '?<?= $defaultQueryString ?>&action=smazatrozdeleni&typrozdeleni=<?= $typrozdeleni ?>&rozdeleni=<?= $rozdeleniOsoby->kodRozdeleni ?>&platnostod=<?= $rozdeleniOsoby->platnostOd ?>')">
                        <!--
                        <a href="?<?= $defaultQueryString ?>&action=smazatrozdeleni&typrozdeleni=<?= $typrozdeleni ?>&rozdeleni=<?= $rozdeleniOsoby->kodRozdeleni ?>&platnostod=<?= $rozdeleniOsoby->platnostOd ?>" 
                           title="<?= \Ron\ronText('Smazat') ?>">
                        -->
                        <img src="images/16_delete.png" alt="<?= \Ron\ronText('Smazat') ?>"/></span>                        
                    </td>
                </tr>
            <?php  }         
            }
        }?>
</table>

<!--
<table style="" id="detailosoby_rozdeleni_1">
    <tr>
        <td>abc</td><td>def</td>
    </tr>
</table>

<script>
    zamestnanci.vyberRozdeleni();
</script>
-->