<?php

/**
 * UTF-8
 * Pavel Rudol, RON Software
 *  24.9.2015
 */


namespace Ron\RonPortal\Zamestnanci;

use Ron;

/* @var $zamestnanec Zamestnanec */

/* @var $zvolenyPP PracovniPomerOsoby */
$zvolenyPP = \Ron\MVC\Model::getInstance()->getData('vybranypp');
/* @var $comboTypRozdeleni \Ron\Controls\ComboBox */
$comboTypRozdeleni = Ron\MVC\Model::getInstance()['comboTypRozdeleni'];
/* @var $comboRozdeleni \Ron\Controls\ComboBox */
$comboRozdeleni = Ron\MVC\Model::getInstance()['comboRozdeleni'];
?>

<form action="?<?= $defaultQueryString ?>&session@action=edit&session@section=<?= $zalozka['section']?>#detailosoby_<?= $zalozka['section'] ?>" method="POST">
    
    <input type="hidden" name="idpp" value="<?= $zvolenyPP->idPP ?>" />
    <input type="hidden" name="formaction" value="insert" />             
    <input type="hidden" name="formsection" value="rozdeleni" />
    
    <table id="detailosoby_rozdeleni">        
        <thead>
            <tr>
                <th class="required">
                    <?= Ron\ronText('TypRozdeleni') ?>
                </th>
                <th class="required">
                    <?= Ron\ronText('Rozdeleni') ?>
                </th>
                <th class="required">
                    <?= Ron\ronText('PlatnostOd') ?>
                </th>
                <th class="">
                    <?= Ron\ronText('PlatnostDo') ?>
                </th>
            </tr>
        </thead>
        
        <tbody>
            <tr>
                <td id="detailosoby_rozdeleni_typ">
                    <?php $comboTypRozdeleni->render(); ?>
                </td>
                <td id="detailosoby_rozdeleni_rozdeleni">
                    <?php if (\Ron\MessageManager::getInstance()->isError('Rozdeleni')) { $comboRozdeleni->className .= ' error_back'; } $comboRozdeleni->render(); ?>
                </td>
                <td id="detailosoby_rozdeleni_platnostod">
                    <input class="app_input inputDate <?= \Ron\MessageManager::getInstance()->isError('PlatnostOd') ? 'error_back' : ''; ?>" type="text" name="PlatnostOd" maxlength="10" size="10" value="<?= date('j.n.Y') ?>"  />
                    <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="PlatnostOd" data-roncalendar-next="PlatnostDo" />
                </td>
                <td id="detailosoby_rozdeleni_platnostdo">
                    <input class="app_input inputDate" type="text" name="PlatnostDo" maxlength="10" size="10" value=""  />
                    <img src='images/16_calendar.png' class="showcalendar" data-roncalendar-inputname="PlatnostDo" data-roncalendar-prev="PlatnostOd" />
                </td>
            </tr>

            <tr id="detailosoby_rozdeleni_tlacitka">
                <td class="formtablecaption"></td>
                <td colspan="4">
                    <input type="submit" class="submitbutton" value="<?= \Ron\ronText('form.Store') ?>" />
                    <input type="reset" class="button" value="<?= \Ron\ronText('form.Original') ?>" />
                    <input type="button" class="button" value="<?= \Ron\ronText('Cancel') ?>" onclick="window.location = '?menuid=zamestnanec&idpp=<?= $zamestnanec->idPP ?>'" />
                </td>
            </tr>
        </tbody>
    </table>
</form>

<script>
    zamestnanci.vyberRozdeleni();
</script>