<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

/**
 * Controller muze zajistit zpracovani vyjimky, pokud implementuje ExceptionHandler.
 * Interface ExceptionHandler
 */
interface ExceptionHandler
{
    /**
     * Metoda je volana pro obslouzeni vyjimky
     * @param \Exception $e
     * @return string|Redirect|InternalRedirect|ViewObject|OutputObject
     */
    public function handleException($e);
}
