<?php

namespace RonPortal\Ankety;

use Ron\TextManager;
use Ron\Utils\Attributes;
use RonPortal\Testy\DotaznikViewObject;

class AnketaViewObject extends DotaznikViewObject
{
    function renderHiddenFields()
    {
        echo '<input type="hidden" name="vyplnitanketu" value="1"/>';
    }


    protected function zobrazTlacitka()
    {
        if ($this ->editace) {
            echo
                "<div class='buttons'>" .
                '<input type="submit" class="submitbutton" value="' . TextManager::_('form.Store') . '"/>' .
                '<input ' .
                new Attributes(
                    [
                        'type' => 'button',
                        'class' => 'button confirmQuestion',
                        'value' => TextManager::_('Cancel'),
                        'data-ron-confirm-text' => TextManager::_('Opravdu_zavrit_anketu_bez_ulozeni'),
                        'data-ron-href' => '?menuid=anketa'
                    ]
                ) .
                '>' .
                "</div>";
        }
    }

}
