<?php
/**
 * stanislav.elbl, 28.02.2021
 */

namespace RonPortal\Editace;

use Ron\DateUtils;
use Ron\DB\Database;
use RonPortal\Dokumenty\DokumentUploadForm;

class DokumentDochazkyUploadForm extends DokumentUploadForm
{
    /** @var  DataZpracovaneDochazky */
    private $denniVysledky;

    /**
     * DokumentDochazkyUploadForm constructor.
     * @param Database $database
     * @param DataZpracovaneDochazky $denniVysledky
     */
    public function __construct($database, $denniVysledky)
    {
        parent::__construct($database,
            '?menuid=editace&action=dokumentupload&idpp=' . $denniVysledky ->pp ->idPP . '&obdobi=' . DateUtils::dateToUrlString($denniVysledky ->datumOd),
            ['data-update-browser' => '#Dokumenty']);
        $this ->denniVysledky = $denniVysledky;
    }


    public function dalsiRadkyKDokumentu()
    {
        echo
            '<div class="form-gap"></div>' .

            // zobrazi vyber radku, ke kteremu se ma dokument pripojit
            '<div class="row" id="novydokument_radekscrow">' .

            '<div class="col col-12 col-sm-4 caption">' . \Ron\ronText('Pripojit_dokument_ke_dni') . '</div>' .
            '<div class="col col-12 col-sm-8">' .

            '<input class="inputDate ronform-field documentUploadInput" type="text" id="DatumSCOd" name="Dokument_Den" maxlength="10" size="10" ' .
            ' data-roncalendar-mindate="' . date('j.n.Y', $this ->denniVysledky ->datumOd) . '"  ' .
            ' data-roncalendar-maxdate="' . date('j.n.Y', $this ->denniVysledky ->datumDo) . '"  ' .
            '/>' .

            '<i class="showcalendar inline-glyph glyph-button fa glyph-calendar" data-roncalendar-inputname="Dokument_Den"></i>' .
            '</div>' .

            "</div>\n";
    }

}
