<?php
/**
 * stanislav.elbl, 06.08.2015
 */

namespace RonPortal\ELearning;


class PrilohaRevizeKurzuOutputObject extends PrilohaOutputObject
{
    /** @var  int */
    protected $idRevizeKurzu;
    /** @var  int */
    protected $id;

    /**
     * PrilohaRevizeKurzuOutputObject constructor.
     * @param \Ron\DB\Database $database
     * @param int $idRevizeKurzu
     * @param int $id
     */
    public function __construct($database, $idRevizeKurzu, $id)
    {
        parent::__construct($database);

        $this->idRevizeKurzu = $idRevizeKurzu;
        $this->id = $id;
    }


    function getData()
    {
        $params = $this ->database ->createParameters();
        $sql =
            'SELECT Nazev, Obsah FROM Priloha, PrilohaRevizeEKurzu ' .
            ' WHERE Priloha.ID = PrilohaRevizeEKurzu.IdPrilohy' .
            '   AND PrilohaRevizeEKurzu.IdRevizeKurzu = ' . $params ->addParameter((int)$this ->idRevizeKurzu) .
            '   AND PrilohaRevizeEKurzu.Id = ' . $params ->addParameter((int)$this ->id);

        return $this ->database ->getSqlResult($sql, $params);
    }
}
