<?php

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElement;

class XMLElementPredat extends XMLFormElement
{
    function predejFormular()
    {
        // Teoreticky by se dalo pridelat jeste toto:
        // string $kodUrovne     kod urovne, na kterou se ma predat - musi v procesu existovat!
        // int $poradi           poradi urovne v pradavacim procesu

        $smer = $this ->getAttributeValue('smer', 1);
        $smer = (int)$this->nahradPromenne($smer);
        $this ->xmlForm ->predej($smer);
    }


    function getHTMLOutput()
    {
        return '';
    }

    function event()
    {
        // nedela nic - v udalosti nema smysl
    }

    function process()
    {
        $this ->predejFormular();
    }

    function writeXMLOutput($xmlWriter)
    {
        $this ->predejFormular();
    }
}

/*
//DOC
PAGE predat
<pre>
PRE
  <predat smer="1"/>
PREEND
</pre>

//END
*/
