<?php
/**
 * stanislav.elbl, 05.02.2016
 */

namespace RonPortal;

use Ron\StringUtils;
use Ron\TextManager;

/**
 * Pouziva se pro zobrazeni dokumentu v kioskovem modu
 */
$downloadUrl = '?kiosekdownload=1';
foreach ($_GET as $key => $value) {
    $downloadUrl .=
        '&' .
        StringUtils::htmlTextConvert($key) .
        '=' .
        StringUtils::htmlTextConvert($value);
}

?>
<!doctype html>
<html>
<head>
    <?php
    require('ron/apphead.php');
    require('view/apphead.php');

    if ( \Ron\Http\App::getDebugMode() ) {
        // generuje do console seznam http hlavicek (pro ladici ucely)
        \Ron\Http\HttpResponse::getInstance() ->getHeaders() ->renderDebugScript();
    }
    ?>
    <script src="script/jquery3.js"></script>
    <script type="application/javascript">
        $(function() {
            // let
            //     contentWindow = $("#kiosek_frame").get(0).contentWindow,
            //     originalHistoryLength = contentWindow.history.length;

            $("body")
                .on("click", "#kiosek_close", function () {
                    window.close();
                });
        });
    </script>
</head>
<body class="kiosek-body">
    <div id="kiosek_menu" class="kiosek-menu">
        <div id="kiosek_close" class="kiosek-button kiosek-close">
            <i class="fa inline-glyph glyph-close"></i>
            <?= TextManager::_('Zavrit') ?>
        </div>
    </div>
    <iframe id="kiosek_frame" class="kiosek-frame" src="<?= $downloadUrl ?>"></iframe>
</body>
</html>
