<?php
/**
 * UTF8
 * stanislav.elbl, 27.08.2015
 */

namespace RonPortal\Dochazka;

use Ron\Http\HtmlHeaders;
use Ron\MVC\BrowserController;
use Ron\TextManager;

TextManager::getInstance() ->loadStrings('dochazka.ini');
HtmlHeaders::getInstance()
    ->addCss('css/dochazka.css')
    ->setAppTitle(TextManager::_('Historie_pruchodu'));

return new BrowserController(
    $this ->database,
    'historiepruchodu',
    function() { return new HistoriePruchoduBrowser($this ->database); }
);
