<?php
/**
 * stanislav.elbl, 26.08.2015
 */

namespace RonPortal\Jidelna;

use Ron\Http\HtmlHeaders;
use Ron\MVC\BrowserController;
use Ron\TextManager;
use RonPortal\RonPortalSettings;


TextManager::getInstance() ->loadStrings('jidelna.ini');
HtmlHeaders::getInstance()
    ->setIcon(RonPortalSettings::getValue('shortcut_icon') ?: 'images/icon_jidelna.png')
    ->setAppTitle(TextManager::_('Pohyby_na_uctu'));

return new BrowserController(
    $this ->database,
    'pohybynauctu',
    function() { return new PohybyNaUctuBrowser($this ->database); }
);
