<?php
/**
 * User: pavel.rudol
 * Date: 12.2.2018
 * Time: 8:33
 */

namespace RonPortal\Dashboard;

use Ron\TextManager;
use RonPortal\Prava;
use RonPortal\RonPortalSettings;

if (RonPortalSettings::getIntValue('povolitprohlidky')) {
    if ((!Prava::jsouNejakePrava('lekarske_prohl')) || (Prava::vratHodnotuPrava('lekarske_prohl') == 1)) {
        return null;
    }

    $frame = new DashboardFrame();
    $frame->id = 'lekProhlPodrizenych';
    $frame->url = '?menuid=lekarskeprohlidky&action=prohlidkypodrizenych';
    $frame->caption = TextManager::_('Lekarske_prohlidky_podrizenych');

    return $frame;
}

return null;
