<?php
/**
 * stanislav.elbl, 21.02.2021
 */

namespace Ron\Controls;

class DateInput
{
    /**
     * Zobrazi edit pro zadavani data a k nemu tlacitko s kalendarem
     * @param string $name
     * @param string $value
     * @param bool $submitOnEnter
     */
    public static function renderDateSelect($name, $value, $submitOnEnter)
    {
        $submitstr = $submitOnEnter ? "data-roncalendar-submit='1'" : '';
        echo "<input type='text' class='inputDate' size='10' maxlength='10' name='$name' value='$value' $submitstr>";
        /** @noinspection HtmlUnknownTarget */
        echo "<i class='showcalendar inline-glyph glyph-button fa glyph-calendar' data-roncalendar-inputname='$name'></i>";
    }

}
