<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\MVC;

/**
 * Jednoduchy Controller, ktery pouze zobrazi view.
 */
class ViewController implements  Controller
{
    /** @var string     View - PHP soubor, ktery se vyrenderuje */
    protected $view;

    /**
     * @param string $view  Jmeno PHP souboru, ktery se vyrenderuje
     */
    public function __construct($view)
    {
        $this ->view = $view;
    }

    /**
     * @param string $action
     * @return string
     */
    public function handleAction($action)
    {
        return $this ->view;
    }
}
