<?php
/**
 * stanislav.elbl, 11.05.2022 15:57
 */

namespace Ron\Utils;

use Ron\Http\App;
use Tracy\IBarPanel;

class AppTracyPanel implements IBarPanel
{
    function getTab()
    {
        return App::getInstance() ->getDebugInfoCaption();
    }

    function getPanel()
    {
        $data = App::getInstance() ->getDebugInfo();
        if (!$data) {
            return;
        }

        return
            '<h1>Ron\\App processing info</h1>' .

            '<div class="tracy-inner">' .
            '<div class="tracy-inner-container">' .
            '<table><tbody>' .
            '<tr><td>' . implode('</td></tr><tr><td>', $data) . '</td></tr>' .
            '</tbody></table>' .
            '</div>' .
            '</div>';
    }
}
