<?php

namespace RonPortal\Dochazka;

use Ron\DateUtils;
use Ron\Http\Csrf;
use Ron\StringUtils;
use Ron\TextManager;

/** var Dialog $this */

$denniVysledky = $this ->getParameter('denniVysledky');

?>
    <!-- dialog pro kopii dne -->
    <input type="hidden" name="kopieDne" value="1" />
    <input type="hidden" name="datum" class="ronform-field" />
    <input type="hidden" name="obdobi" value="<?= DateUtils::dateToUrlString($denniVysledky ->datumOd) ?>" />
    <input type="hidden" name="osoba" value="<?= $denniVysledky ->pp ->idPP ?>" />
    <?= Csrf::csrfHiddenInput('kopie_dne_dochakzy_' . $denniVysledky ->pp ->idPP) ?>

    <div>
        <div class="row">
            <div class="col-6 col-sm-4 caption"><?= TextManager::_('Zkopirovat_den') ?></div>
            <div class="col-6 col-sm-8 ronform-field font-weight-bold" data-ronform-field-name="popiszdroje"></div>
        </div>

        <div class="row">
            <div class="col-6 col-sm-4 caption"><label for="kopie_dne_datum_od"><?= TextManager::_('Datum_od') ?></label></div>
            <div class="col-6 col-sm-8 ronform-field font-weight-bold">
                <input class="inputDate ronform-field" id="kopie_dne_datum_od" name="datumOd" size="10" data-ronform-field-name="datumod"
                       data-roncalendar-mindate="<?= StringUtils::format('date', $denniVysledky ->datumOd) ?>"
                       data-roncalendar-maxdate="<?= StringUtils::format('date', $denniVysledky ->datumDo) ?>"
                       data-roncalendar-next="datumDo"
                />
                <i class="inline-glyph glyph-button fa glyph-calendar showcalendar" data-roncalendar-inputname="datumOd" data-roncalendar></i>
            </div>
        </div>

        <div class="row">
            <div class="col-6 col-sm-4 caption"><label for="kopie_dne_datum_do"><?= TextManager::_('Datum_do') ?></label></div>
            <div class="col-6 col-sm-8 ronform-field font-weight-bold">
                <input class="inputDate ronform-field" id="kopie_dne_datum_od" name="datumDo" size="10" data-ronform-field-name="datumdo"
                       data-roncalendar-mindate="<?= StringUtils::format('date', $denniVysledky ->datumOd) ?>"
                       data-roncalendar-maxdate="<?= StringUtils::format('date', $denniVysledky ->datumDo) ?>"
                       data-roncalendar-prev="datumOd"
                />
                <i class="inline-glyph glyph-button fa glyph-calendar showcalendar" data-roncalendar-inputname="datumDo"></i>
            </div>
        </div>

        <div class="row">
            <div class="col-0 col-sm-4 caption"></div>
            <div class="col-12 col-sm-8">
                <label><input type="checkbox" name="pouzePrazdneDny" checked="checked" value="1"> <?= TextManager::_('Kopirovat_pouze_do_prazdnych_dnu') ?></label>
            </div>
        </div>

        <div class="row">
            <div class="col-0 col-sm-4 caption"></div>
            <div class="col-12 col-sm-8 ">
                <label><input type="checkbox" name="pouzeDnySeSmenou" checked="checked" value="1"> <?= TextManager::_('Kopirovat_pouze_do_dnu_se_smenou') ?></label>
            </div>
        </div>
    </div>

    <!-- TODO: jen vybrane dny -->
