<?php
/**
 * pavel.rudol, 7.5.2015
 * formular pro ohodnoceni jidla a zobrazeni alergenu
 */

namespace RonPortal\Jidelna;

use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\RonPortalSettings;

/** @var PolozkaJidelnicku $polozka */

?>

<div id="polozkajidelnicku_dialog" class="rondialog" title="">
    <!--<div class="dialogcaption"></div> -->

    <input type="hidden" id="polozkajidelnicku_id" name="id" value="" />

    <div id="polozkajidelnicku_form" class="form-content">
        <div class="row">
            <div class="col-12 col-sm-auto">
                <!-- obsah formulare -->
                <div class="row padding-bottom-2 jidelnicek_hodnoceni_polozky" id="polozkajidelnicku_row_hodnoceni">

                    <div class="col-3"><?= TextManager::_('Hodnoceni_jidla') ?></div>
                    <div class="col-9" id="polozkajidelnicku_hodnoceni">
                        <span id="polozkajidelnicku_hodnoceni_1" class="fa hodnocenijidla_hvezda_off" data-hodnoceni-polozky="1" ></span>
                        <span id="polozkajidelnicku_hodnoceni_2" class="fa hodnocenijidla_hvezda_off" data-hodnoceni-polozky="2" ></span>
                        <span id="polozkajidelnicku_hodnoceni_3" class="fa hodnocenijidla_hvezda_off" data-hodnoceni-polozky="3" ></span>
                        <span id="polozkajidelnicku_hodnoceni_4" class="fa hodnocenijidla_hvezda_off" data-hodnoceni-polozky="4" ></span>
                        <span id="polozkajidelnicku_hodnoceni_5" class="fa hodnocenijidla_hvezda_off" data-hodnoceni-polozky="5" ></span>
                    </div>

                </div>

                <div class="row jidelnicek_hodnoceni_polozky" id="polozkajidelnicku_row_poznamka">
                    <div class="col-12 col-sm-3"><label for="polozkajidelnicku_poznamka"><?= TextManager::_('Poznamka') ?></label></div>
                    <div class="col-12 col-sm-9">
                        <textarea class="form-control" id="polozkajidelnicku_poznamka" name="poznamka" cols="60" rows="8"></textarea>
                    </div>
                </div>

                <div class="row" id="polozkajidelnicku_row_alergeny">
                    <div class="col formtablecaption"><?= TextManager::_('Alergeny') ?></div>
                    <div class="col">
                        <ul id="polozkajidelnicku_seznamalergenu"></ul>
                    </div>
                </div>
            </div>

            <div class="col-12 col-sm-auto padding-all align-center" id="polozkajidelnicku_foto" style="align-self: center;">
                <!-- fotografie -->
                <img id="polozkajidelnicku_foto_img" data-link="?menuid=jidelnicek&action=zobrazfoto" src="" alt="Fotografie jidla" style="max-width: 90%">
            </div>
        </div>


    </div>

    <div class="buttons align-center">
        <?php if (RonPortalSettings::getIntValue('jidelnicek_povolit_hodnoceni', 1)) { ?>
        <input type="submit" id="btnHodnoceniOK" class="submitbutton" value="<?= TextManager::_('Provest') ?>" />
        <?php } ?>
        <input type="button" id="btnStornoHodnoceni" class="button" value="<?= TextManager::_('Cancel') ?>" />
    </div>
</div>

