<?php
/**
 * stanislav.elbl, 20.12.2019
 */

namespace RonPortal\Kapacity;

use Ron\Controls\Dialog;
use Ron\Controls\DialogButton;
use Ron\MVC\Renderer;
use Ron\MVC\TextViewObject;

$renderer = new Renderer(null);
$renderer ->start();
?>
    <div class="container-fluid">
        <div id="kapacity_absence_delka_0" class="row  kapacity-delka-absence-row">
            <div class="col col-5">
                <label>
                    <input type="radio" name="kapacity_absence_delka" value="0" class="delka-absence-radio toggleClass" data-parent-selector="#kapacity_absence" data-selector="#kapacity_absence_0_data">
                    <?= \Ron\ronText('Absence_cela_smena') ?>
                </label>
            </div>
        </div>

        <div id="kapacity_absence_delka_1" class="row kapacity-delka-absence-row">
            <div class="col col-5">
                <label>
                    <input type="radio" name="kapacity_absence_delka" value="1" class="delka-absence-radio toggleClass" data-parent-selector="#kapacity_absence" data-selector="#kapacity_absence_1_data">
                    <?= \Ron\ronText('Absence_pulka_smeny1') ?>
                </label>
            </div>
        </div>

        <div id="kapacity_absence_delka_2" class="row kapacity-delka-absence-row">
            <div class="col col-5">
                <label>
                    <input type="radio" name="kapacity_absence_delka" value="2" class="delka-absence-radio toggleClass" data-parent-selector="#kapacity_absence" data-selector="#kapacity_absence_2_data">
                    <?= \Ron\ronText('Absence_pulka_smeny2') ?>
                </label>
            </div>
        </div>

        <div id="kapacity_absence_delka_3" class="row no-wrap kapacity-delka-absence-row">
            <div class="col col-6">
                <label>
                    <input type="radio" name="kapacity_absence_delka" value="3" class="delka-absence-radio toggleClass" data-parent-selector="#kapacity_absence" data-uncheck-class="d-none" data-selector="#kapacity_absence_3_data">
                    <?= \Ron\ronText('Absence_od_do') ?>
                </label>
            </div>
            <div class="col col-6 d-none" id="kapacity_absence_3_data">
                <input id="kapacity_absence_casod" class="app_input inputTime" type="text" name="kapacity_absence_casod" maxlength="5" size="5" value="" />
                &nbsp;-&nbsp;
                <input id="kapacity_absence_casdo" class="app_input inputTime" type="text" name="kapacity_absence_casdo" maxlength="5" size="5" value="" />
            </div>
        </div>

        <div id="kapacity_absence_delka_4" class="row kapacity-delka-absence-row">
            <div class="col col-6">
                <label>
                    <input type="radio" name="kapacity_absence_delka" value="4" class="delka-absence-radio toggleClass" data-parent-selector="#kapacity_absence" data-uncheck-class="d-none" data-selector="#kapacity_absence_4_data">
                    <?= \Ron\ronText('Absence_kontinualne') ?>
                </label>
            </div>
            <div class="col col-6 d-none" id="kapacity_absence_4_data">
                <input id="kapacity_absence_kontinualneod" class="app_input inputTime" type="text" name="kapacity_absence_kontinualneod" maxlength="5" size="5" value="" />
                &nbsp;-&nbsp;
                <input id="kapacity_absence_kontinualnedo" class="app_input inputTime" type="text" name="kapacity_absence_kontinualnedo" maxlength="5" size="5" value="" />
            </div>
        </div>
    </div>
<?php
$dialogContent =  $renderer ->stop();

(new Dialog())
    ->setView(new TextViewObject($dialogContent, null, null))
    ->setId('kapacity_absence')
    ->setTitle('Absence')
    //->addDialogClass('modal-lg')    // rondialog form small-form
    ->addDialogClass('rondialog form small-form middle-form modal-md')    // rondialog form small-form
    ->addButton(
        (new DialogButton())
            ->setValue('OK')
            ->setId('kapacity_absence_ok')
    )
    ->addButton(DialogButton::cancelButton('kapacity_absence_storno'))
    ->render();

?>