<?php
/**
 * stanislav.elbl, 09.06.2021 21:58
 */

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElement;

class XMLElementPrepocitejHodnoceni extends XMLFormElement
{
    function getHTMLOutput()
    {
        return '';
    }


    function process()
    {
        $neulozene = self::getBoolValue($this ->getAttributeValue('neulozene'));

        if ( $neulozene  || ($this ->xmlForm ->dotaznik ->fUlozenoVXML  &&  $this ->xmlForm ->dotaznik ->fVyplnenoVse) ) {
            $this ->xmlForm ->dotaznik ->fPrepoctenoVXML = $this ->xmlForm ->dotaznik ->prepocitejDotaznik();
            $this ->xmlForm ->variables['HODNOCENI_Prepocteno'] = $this ->xmlForm ->dotaznik ->fPrepoctenoVXML;
        }
    }
}

/*
//DOC
PAGE prepocitejhodnoceni
<pre>
PRE
  <prepocitejhodnoceni neulozene="0"/>
PREEND
</pre>

//END
*/
