<?php

namespace RonPortal\XML\Classes;

use Ron\StringUtils;
use RonPortal\XML\XMLFormElementCommand;

class XmlElementSaveFile extends XMLFormElementCommand
{
    private $content;

    public function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);
        $this->content = $this->getTextContent(false);
    }


    public function doCommand()
    {
        $fileName = $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('filename')));
        $content = $this ->nahradPromenne($this ->content);

        file_put_contents($fileName, $content);
    }
}

/*
//DOC
PAGE savefile
<pre>
PRE
  <savefile filename="jmeno_souboru">obsah ...</savefile>
PREEND
</pre>

//END
*/
