<?php

// TODO: dodelat a otestovat

namespace RonPortal\XML\Classes;

use RonPortal\XML\XMLFormElement;

class XMLFormElementTry extends XMLFormElement
{
    /** @var XMLFormElementCatch[] */
    var $catchElements = [];

    function getHTMLOutput()
    {
        try {
            return parent::getHTMLOutput();
        } catch (\Exception $e) {
            $result = '';

            foreach ($this ->catchElements as $catchElement) {
                if ($catchElement ->handlesException($e)) {
                    $catchElement ->addExceptionVariables($e);
                    $result .= $catchElement->getElementsHTMLOutput();
                }
            }

            return $result;
        }
    }

    function event()
    {
        try {
            parent::elementsEvent();
        } catch (\Exception $e) {
            foreach ($this ->catchElements as $catchElement) {
                if ($catchElement ->handlesException($e)) {
                    $catchElement ->addExceptionVariables($e);
                    $catchElement->elementsEvent();
                }
            }
        }
    }

    function process()
    {
        try {
            parent::processElements();
        } catch (\Exception $e) {
            foreach ($this ->catchElements as $catchElement) {
                if ($catchElement ->handlesException($e)) {
                    $catchElement ->addExceptionVariables($e);
                    $catchElement->processElements();
                }
            }
        }
    }
}
